import * as $dara from '@darabonba/typescript';
export declare class GetDockerhubImageRiskRankInfoRequest extends $dara.Model {
    /**
     * @remarks
     * The dimension types.
     */
    types?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
